Unverified Commit 51b4d78b authored by Martin Pugh's avatar Martin Pugh Committed by GitHub
Browse files

Bump version to v0.9.1 and spec_version to v9010 (#3001)

* bump version and spec_version

* fix generate_release_text.rb

* Revert "fix generate_release_text.rb"

This reverts commit 9e01e0ae.

* fix publish_draft_release

* fix publish_draft_release

* update target cache
parent 83923d08
Pipeline #137744 canceled with stages
in 17 minutes and 22 seconds
......@@ -37,7 +37,7 @@ jobs:
- name: Cache target dir
uses: actions/cache@v2
with:
path: '${{ github.workspace }}/target'
path: '${{ github.workspace }}/runtime/${{ matrix.runtime }}/target'
key: srtool-target-${{ matrix.runtime }}-${{ github.sha }}
restore-keys: |
srtool-target-${{ matrix.runtime }}-
......
# This file is automatically @generated by Cargo.
# It is not intended for manual editing.
version = 3
[[package]]
name = "Inflector"
version = "0.11.4"
......@@ -456,7 +458,7 @@ checksum = "6736e2428df2ca2848d846c43e88745121a6654696e349ce0054a420815a7409"
[[package]]
name = "beefy-gadget"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#bbe388331d9e80ec282b53a15c2dce56b342cefd"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#bbe388331d9e80ec282b53a15c2dce56b342cefd"
dependencies = [
"beefy-primitives",
"futures 0.3.14",
......@@ -484,7 +486,7 @@ dependencies = [
[[package]]
name = "beefy-gadget-rpc"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#bbe388331d9e80ec282b53a15c2dce56b342cefd"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#bbe388331d9e80ec282b53a15c2dce56b342cefd"
dependencies = [
"beefy-gadget",
"beefy-primitives",
......@@ -505,7 +507,7 @@ dependencies = [
[[package]]
name = "beefy-primitives"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#bbe388331d9e80ec282b53a15c2dce56b342cefd"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#bbe388331d9e80ec282b53a15c2dce56b342cefd"
dependencies = [
"parity-scale-codec",
"sp-api",
......@@ -3182,7 +3184,7 @@ dependencies = [
[[package]]
name = "kusama-runtime"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -4531,7 +4533,7 @@ dependencies = [
[[package]]
name = "pallet-beefy"
version = "0.1.0"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget#bbe388331d9e80ec282b53a15c2dce56b342cefd"
source = "git+https://github.com/paritytech/grandpa-bridge-gadget?branch=master#bbe388331d9e80ec282b53a15c2dce56b342cefd"
dependencies = [
"beefy-primitives",
"frame-support",
......@@ -5540,7 +5542,7 @@ checksum = "989d43012e2ca1c4a02507c67282691a0a3207f9dc67cec596b43fe925b3d325"
[[package]]
name = "polkadot"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"assert_cmd",
"color-eyre",
......@@ -5655,7 +5657,7 @@ dependencies = [
[[package]]
name = "polkadot-cli"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"frame-benchmarking-cli",
"futures 0.3.14",
......@@ -5701,7 +5703,7 @@ dependencies = [
[[package]]
name = "polkadot-core-primitives"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"parity-scale-codec",
"parity-util-mem",
......@@ -5712,7 +5714,7 @@ dependencies = [
[[package]]
name = "polkadot-erasure-coding"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"parity-scale-codec",
"polkadot-node-primitives",
......@@ -6181,7 +6183,7 @@ dependencies = [
[[package]]
name = "polkadot-parachain"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"derive_more",
"parity-scale-codec",
......@@ -6195,7 +6197,7 @@ dependencies = [
[[package]]
name = "polkadot-primitives"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"bitvec",
"frame-system",
......@@ -6247,7 +6249,7 @@ dependencies = [
[[package]]
name = "polkadot-rpc"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-gadget",
"beefy-gadget-rpc",
......@@ -6279,7 +6281,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6360,7 +6362,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-common"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6413,7 +6415,7 @@ dependencies = [
[[package]]
name = "polkadot-runtime-parachains"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"bitvec",
"derive_more",
......@@ -6464,7 +6466,7 @@ dependencies = [
[[package]]
name = "polkadot-service"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-gadget",
"beefy-primitives",
......@@ -6585,7 +6587,7 @@ dependencies = [
[[package]]
name = "polkadot-statement-table"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"parity-scale-codec",
"polkadot-primitives",
......@@ -6594,7 +6596,7 @@ dependencies = [
[[package]]
name = "polkadot-test-client"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"futures 0.3.14",
"parity-scale-codec",
......@@ -6620,7 +6622,7 @@ dependencies = [
[[package]]
name = "polkadot-test-runtime"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -6682,7 +6684,7 @@ dependencies = [
[[package]]
name = "polkadot-test-service"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"frame-benchmarking",
"frame-system",
......@@ -7387,7 +7389,7 @@ dependencies = [
[[package]]
name = "rococo-runtime"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"frame-executive",
......@@ -8881,7 +8883,7 @@ dependencies = [
[[package]]
name = "slot-range-helper"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"enumn",
"parity-scale-codec",
......@@ -9986,7 +9988,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"dlmalloc",
"parity-scale-codec",
......@@ -9999,7 +10001,7 @@ dependencies = [
[[package]]
name = "test-parachain-adder-collator"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"futures 0.3.14",
"futures-timer 3.0.2",
......@@ -10026,14 +10028,14 @@ dependencies = [
[[package]]
name = "test-parachain-halt"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"substrate-wasm-builder",
]
[[package]]
name = "test-parachains"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"parity-scale-codec",
"polkadot-parachain",
......@@ -11289,7 +11291,7 @@ dependencies = [
[[package]]
name = "westend-runtime"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"beefy-primitives",
"bitvec",
......@@ -11490,7 +11492,7 @@ dependencies = [
[[package]]
name = "xcm"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"derivative",
"impl-trait-for-tuples",
......@@ -11499,7 +11501,7 @@ dependencies = [
[[package]]
name = "xcm-builder"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"frame-support",
"frame-system",
......@@ -11517,7 +11519,7 @@ dependencies = [
[[package]]
name = "xcm-executor"
version = "0.9.0"
version = "0.9.1"
dependencies = [
"frame-support",
"impl-trait-for-tuples",
......
......@@ -6,7 +6,7 @@ path = "src/main.rs"
name = "polkadot"
description = "Implementation of a https://polkadot.network node in Rust based on the Substrate framework."
license = "GPL-3.0-only"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
readme = "README.md"
......
[package]
name = "polkadot-cli"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Polkadot Relay-chain Client Node"
edition = "2018"
......
[package]
name = "polkadot-core-primitives"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-erasure-coding"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-service"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-test-client"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-test-service"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-parachain"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Types and utilities for creating and working with parachains"
edition = "2018"
......
[package]
name = "test-parachains"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Integration tests using the test-parachains"
edition = "2018"
......
[package]
name = "test-parachain-adder"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which adds to a number as its state transition"
edition = "2018"
......
[package]
name = "test-parachain-adder-collator"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Collator for the adder test parachain"
edition = "2018"
......
[package]
name = "test-parachain-halt"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
description = "Test parachain which executes forever"
edition = "2018"
......
[package]
name = "polkadot-primitives"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-rpc"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "polkadot-runtime-common"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "slot-range-helper"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
......
[package]
name = "kusama-runtime"
version = "0.9.0"
version = "0.9.1"
authors = ["Parity Technologies <admin@parity.io>"]
edition = "2018"
build = "build.rs"
......
......@@ -115,7 +115,7 @@ pub const VERSION: RuntimeVersion = RuntimeVersion {
spec_name: create_runtime_str!("kusama"),
impl_name: create_runtime_str!("parity-kusama"),
authoring_version: 2,
spec_version: 9000,
spec_version: 9010,
impl_version: 0,
#[cfg(not(feature = "disable-runtime-api"))]
apis: RUNTIME_API_VERSIONS,
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment